gntroomlist.h File Reference
Finch (GNT User Interface)

GNT Room List API. More...

`#include "roomlist.h"`

Go to the source code of this file.

## Functions
void | finch_roomlist_init (void)
| Initialize the roomlist subsystem.
PurpleRoomlistUiOps * | finch_roomlist_get_ui_ops (void)
| Get the ui-functions. More...
void | finch_roomlist_show_all (void)
| Show the roomlist dialog.
void | finch_roomlist_uninit (void)
| Uninitialize the roomlist subsystem.

## Detailed Description

GNT Room List API.

Definition in file gntroomlist.h.

## Function Documentation

## ◆ finch_roomlist_get_ui_ops()

PurpleRoomlistUiOps* finch_roomlist_get_ui_ops | ( | void |  | ) |

Get the ui-functions.

Returns
  The PurpleRoomlistUiOps structure populated with the appropriate functions.